ONVIF::Media::Elements::GetAudioSourceConfigurationOptionsResponse(3)

NAME
ONVIF::Media::Elements::GetAudioSourceConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioSourceConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioSourceConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::AudioSourceConfigurationOptions
     InputTokensAvailable => $some_value, # ReferenceToken
     Extension =>  { # ONVIF::Media::Types::AudioSourceOptionsExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL